- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# ResultStoreBase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 123 of file qtconcurrentresultstore.h.

`#include <qtconcurrentresultstore.h>`

Inheritance diagram for ResultStoreBase:
[legend]

List of all members.

## Public Member Functions
| ResultStoreBase ()
void | setFilterMode (bool enable)
bool | filterMode () const
int | addResult (int index, const void *result)
int | addResults (int index, const void *results, int vectorSize, int logicalCount)
ResultIteratorBase | begin () const
ResultIteratorBase | end () const
bool | hasNextResult () const
ResultIteratorBase | resultAt (int index) const
bool | contains (int index) const
int | count () const
virtual | ~ResultStoreBase ()
## Protected Member Functions
int | insertResultItem (int index, ResultItem &resultItem)
void | insertResultItemIfValid (int index, ResultItem &resultItem)
void | syncPendingResults ()
void | syncResultCount ()
int | updateInsertIndex (int index, int _count)
## Protected Attributes
QMap< int, ResultItem > | m_results
int | insertIndex
int | resultCount
bool | m_filterMode
QMap< int, ResultItem > | pendingResults
int | filteredResults

## Constructor & Destructor Documentation

ResultStoreBase | ( |  | ) |

virtual ~ResultStoreBase | ( |  | ) | `[inline, virtual]`

Definition at line 137 of file qtconcurrentresultstore.h.

    { };

## Member Function Documentation

void setFilterMode | ( | bool | enable | ) |

Search for all occurrences

bool filterMode | ( |  | ) | const

Search for all occurrences

int addResult | ( | int | index,
|  | const void * | result
| ) |  |

Search for all occurrences

int addResults | ( | int | index,
|  | const void * | results,
|  | int | vectorSize,
|  | int | logicalCount
| ) |  |

Search for all occurrences

ResultIteratorBase begin | ( |  | ) | const

Search for all occurrences

Reimplemented in ResultStore< T >.

ResultIteratorBase end | ( |  | ) | const

Search for all occurrences

Reimplemented in ResultStore< T >.

bool hasNextResult | ( |  | ) | const

Search for all occurrences

ResultIteratorBase resultAt | ( | int | index | ) | const

Search for all occurrences

Reimplemented in ResultStore< T >.

bool contains | ( | int | index | ) | const

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

int insertResultItem | ( | int | index,
|  | ResultItem & | resultItem
| ) |  | `[protected]`

Search for all occurrences

void insertResultItemIfValid | ( | int | index,
|  | ResultItem & | resultItem
| ) |  | `[protected]`

Search for all occurrences

void syncPendingResults | ( |  | ) | `[protected]`

Search for all occurrences

void syncResultCount | ( |  | ) | `[protected]`

Search for all occurrences

int updateInsertIndex | ( | int | index,
|  | int | _count
| ) |  | `[protected]`

Search for all occurrences

## Member Data Documentation

QMap<int, ResultItem> m_results `[protected]`

Search for all occurrences

Definition at line 146 of file qtconcurrentresultstore.h.

int insertIndex `[protected]`

Search for all occurrences

Definition at line 147 of file qtconcurrentresultstore.h.

int resultCount `[protected]`

Search for all occurrences

Definition at line 148 of file qtconcurrentresultstore.h.

bool m_filterMode `[protected]`

Search for all occurrences

Definition at line 150 of file qtconcurrentresultstore.h.

QMap<int, ResultItem> pendingResults `[protected]`

Search for all occurrences

Definition at line 151 of file qtconcurrentresultstore.h.

int filteredResults `[protected]`

Search for all occurrences

Definition at line 152 of file qtconcurrentresultstore.h.

The documentation for this class was generated from the following file:

- QtCore/qtconcurrentresultstore.h

ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase
ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase ResultStoreBase